package com.szls.nstths.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


@Data
@TableName("re_msg")
public class ReMsg {
    /**
     * code=0, msg='操作成功'
     * code=1, msg='设备正忙'
     * code=2, msg='测点参数异常'
     * code=10, msg='有未上传的检测结果'
     */
    String code;
    String msg;
    String data;
    @TableId(type = IdType.AUTO, value = "id")
    private Long id;
}
