package com.szls.nstths.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@TableName("te_data")
public class TeData {
    @TableId(type = IdType.AUTO, value = "id")
    private Long id;
    @TableField("equipmentID")
    private String equipmentID;
    @TableField("taskID")
    private String taskID;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date stime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date etime;
    private String rotationxy;

    @TableField(exist = false)
    private Date currenttime;
}
