package com.szls.nstths.service;

import com.szls.nstths.entity.TeData;
import org.springframework.stereotype.Service;


/**
 * todo
 * http://local.wxlxit.com:61001/
 * 1. equipmentTestingIsReady
 * 2. equipmentTestingStart
 * 3. equipmentTestingEnd
 * <p>
 * equipmentTestingContinue
 * equipmentTestingResult
 */


public interface TeDataService {


    /**
     * 第一次待打点
     *
     * @param high
     * @param diameter
     * @return 数据库影响条数
     */
    void scanTask(double diameter, double high);

    /**
     * 第二次待打点
     *
     * @param teData
     * @return 数据库影响条数
     */
    void scanTask(TeData teData);

    int  saveTeData(TeData teData);
    /**
     * 计算体积
     *
     * @param taskID
     */
    void calculateVolume(String taskID);

}
